#pragma once

#include <memory>
#include <string>

namespace FileExchange {
const std::string logger_name("caosdb::transaction::file_transmission");

class HandlerInterface {
public:
  virtual ~HandlerInterface() = default;

  virtual bool onNext(bool ok) = 0;

  virtual void cancel() = 0;
};

using HandlerPtr = std::unique_ptr<HandlerInterface>;
using HandlerTag = HandlerPtr *;

} // namespace FileExchange
